Updates the project with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

project
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

_parent_id

Reference to a parent installation

globally unique identifier
root_parent_id

This field will be filled automatically based on the parent_id

globally unique identifier
_parent_reference_back_office

Embedded entity "project" for parent installation using ERP PK when adding/updating project

string
_parent_project

Embedded entity "project" for parent installation when adding/updating project

project
equipment_family_id

Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating project

string
equipment_family

Embedded entity "equipment_family" when adding/updating project

equipment_family
equipment_model_id

Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model

globally unique identifier
equipment_model_code

Embedded entity "equipment_model" using ERP PK when adding/updating project

string
equipment_model

Embedded entity "equipment_model" when adding/updating project

equipment_model
project_status_id

Foreign key to project_status

globally unique identifier

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status_code

Embedded entity "project_status" using ERP PK when adding/updating project

string

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status

Embedded entity "project_status" when adding/updating project

project_status

Optionally required : project_status_id, project_status_code or project_status must be provided

company_id

The company owner of this project/installation

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating project

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating project

company

Optionally required : company_id, company_code or company must be provided

db_address_id

Specific db_address_id of the %company_id% if different than the company default address

globally unique identifier
db_address_code

Embedded entity "db_address" using ERP PK when adding/updating project

string
db_address

Embedded entity "db_address" when adding/updating project

db_address
location

Additional text to describe the location

string

Max length: 255

contact_id

Main contact for this project/installation

globally unique identifier
contact_reference_back_office

Embedded entity "contact" using ERP PK when adding/updating project

string
contact

Embedded entity "contact" when adding/updating project

contact
owner_user_id

User owner/manager of this project/installation

globally unique identifier
name

Name of the project/installation

string

Required

Max length: 50

description

Long description

string
reference_back_office

The Id/Ref of the back office for this project/installation. Used by Embedded entity

string

Max length: 255

serial_number

Serial number

string

Max length: 255

barcode

Barcode

string

Max length: 50

date_start_production

Date project/installation becomes active

date
date_create

Creation date+time

date
date_update

Update date+time

date
updated_by_user_id

Last User that updates the object

globally unique identifier
customer_reference

Reference of this project/installation for the customer

string

Max length: 50

warranty_date_until

End date of the warranty (if applicable)

date
last_standard_result_score_1

Last result score 1 (CF Standard module)

string

Max length: 50

last_standard_result_score_2

Last result score 2 (CF Standard module)

string
target_standard_result_score_1

Target result score 1 (CF Standard module)

string

Max length: 50

target_standard_result_score_2

Target result score 2 (CF Standard module)

string

Max length: 50

date_built

Build date of the installation (if applicable)

date
shutdown_consequence

Consequence of the installation is shut down (CEO has no air cooling anymore,..)

string

Max length: 4000

id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer
nb_open_jobs

Readonly - Number of open jobs

integer
date_next_job

Date+time of the next job planned

date
date_last_job

Date+time of the last job completed

date
nb_jobs_planned

Number of jobs with status Planned

integer
nb_jobs_tobeplanned

Number of jobs with status To Be Planned

integer
nb_jobs_waitingfurtheraction

Number of jobs with status Waiting Further Action

integer
back_office_timestamp

Back Office timestamp value (conflict detection purpose)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
is_mobile_installation

Set it TRUE if this is a mobile installation.

boolean

Request Formats :

application/json, text/json

Sample:
{
  "id": "2fcad1d2-8485-4085-b5d0-65eba9c8d8e7",
  "_parent_id": "60cdacc1-1e1d-4ef3-bd4f-410f0d9ab436",
  "root_parent_id": "6db0c4c8-bec7-4b04-b878-90336c502f16",
  "_parent_reference_back_office": "sample string 4",
  "equipment_family_id": "6e8820f1-6ce0-4102-9433-1c4544d1dba4",
  "equipment_family_code": "sample string 6",
  "equipment_family": {
    "id": "1c62f510-0b95-4c00-97a1-0e295013ee86",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "78b87ae7-958b-40ee-8f4a-e4a7b2042323",
    "_parent_code": "sample string 6",
    "sales_organization_id": "e42b3c44-21d9-492a-aef1-89a68239dc08",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "8f89849d-4185-4c4d-8290-f57735757878",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "2bc44c22-b8e4-4b39-acd2-cd9ce89fdbdb",
      "db_currency_id": "e69c2f86-8aba-47b4-937b-98fe779ec0b8",
      "db_language_id": "c53b0f54-6d9f-47ba-9a0c-478ea667f976",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
    },
    "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
  },
  "equipment_model_id": "cd08d99d-9e21-4cdd-81d7-ed6d149a2832",
  "equipment_model_code": "sample string 8",
  "equipment_model": {
    "id": "551a64bd-6506-47fb-93bb-5ba669324df2",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "equipment_brand_id": "ff4530c7-e0b3-4e9a-b5f2-b2132e0251d5",
    "equipment_brand_code": "sample string 6",
    "equipment_brand": {
      "id": "e048afd3-2236-4e40-8a0d-7801ff09b7a8",
      "name": "sample string 2",
      "code": "sample string 3",
      "sales_organization_id": "8004ed3f-9bd9-4d9d-8683-16ad2064e233",
      "sales_organization_code": "sample string 5",
      "sales_organization": {
        "id": "8f89849d-4185-4c4d-8290-f57735757878",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "2bc44c22-b8e4-4b39-acd2-cd9ce89fdbdb",
        "db_currency_id": "e69c2f86-8aba-47b4-937b-98fe779ec0b8",
        "db_language_id": "c53b0f54-6d9f-47ba-9a0c-478ea667f976",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
      },
      "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
    },
    "equipment_family_id": "5a519b2d-8b56-4835-8c72-a7d2f561ee62",
    "equipment_family_code": "sample string 8",
    "equipment_family": {
      "id": "1c62f510-0b95-4c00-97a1-0e295013ee86",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "_parent_id": "78b87ae7-958b-40ee-8f4a-e4a7b2042323",
      "_parent_code": "sample string 6",
      "sales_organization_id": "e42b3c44-21d9-492a-aef1-89a68239dc08",
      "sales_organization_code": "sample string 8",
      "sales_organization": {
        "id": "8f89849d-4185-4c4d-8290-f57735757878",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "2bc44c22-b8e4-4b39-acd2-cd9ce89fdbdb",
        "db_currency_id": "e69c2f86-8aba-47b4-937b-98fe779ec0b8",
        "db_language_id": "c53b0f54-6d9f-47ba-9a0c-478ea667f976",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
      },
      "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
    },
    "date_in_production_since": "2026-11-12T05:37:10.0119454+00:00",
    "date_out_of_production_since": "2026-11-12T05:37:10.0119454+00:00",
    "date_end_support": "2026-11-12T05:37:10.0119454+00:00",
    "sales_organization_id": "13c3e863-2278-4d4a-91a5-c1b8186f9967",
    "sales_organization_code": "sample string 13",
    "sales_organization": {
      "id": "8f89849d-4185-4c4d-8290-f57735757878",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "2bc44c22-b8e4-4b39-acd2-cd9ce89fdbdb",
      "db_currency_id": "e69c2f86-8aba-47b4-937b-98fe779ec0b8",
      "db_language_id": "c53b0f54-6d9f-47ba-9a0c-478ea667f976",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
    },
    "replacement_period_nb_months": 14,
    "warranty_period_nb_months": 15,
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ],
    "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
  },
  "project_status_id": "28d675c1-eed1-4ba9-b243-edc3f30ec5e1",
  "project_status_code": "sample string 10",
  "project_status": {
    "id": "4690b4f8-accc-4c2a-a1e6-24429c45575d",
    "name": "sample string 2",
    "is_default": true,
    "is_closed": true,
    "sales_organization_id": "2098912a-9083-4e16-b2d4-10fd98e5cdf0",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "8f89849d-4185-4c4d-8290-f57735757878",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "2bc44c22-b8e4-4b39-acd2-cd9ce89fdbdb",
      "db_currency_id": "e69c2f86-8aba-47b4-937b-98fe779ec0b8",
      "db_language_id": "c53b0f54-6d9f-47ba-9a0c-478ea667f976",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
    },
    "code": "sample string 7",
    "modified_dateutc": "2026-11-12T05:37:10.0119454+00:00"
  },
  "company_id": "1cb4a605-fc03-4da1-87b2-a869bfce3afd",
  "company_code": "sample string 12",
  "db_address_id": "038f77ee-4b5c-42bf-a888-c39bdc67cdce",
  "db_address_code": "sample string 14",
  "location": "sample string 15",
  "contact_id": "2750d880-aedd-4127-869b-09f5fb09f15d",
  "contact_reference_back_office": "sample string 17",
  "owner_user_id": "c1f60d7c-b16e-494e-870c-c8580829e823",
  "name": "sample string 19",
  "description": "sample string 20",
  "reference_back_office": "sample string 21",
  "serial_number": "sample string 22",
  "barcode": "sample string 23",
  "date_start_production": "2026-11-12T05:37:10.0119454+00:00",
  "date_create": "2026-11-12T05:37:10.0119454+00:00",
  "date_update": "2026-11-12T05:37:10.0119454+00:00",
  "updated_by_user_id": "3b1497da-8051-46f8-958c-3d683dbb6795",
  "customer_reference": "sample string 28",
  "warranty_date_until": "2026-11-12T05:37:10.0119454+00:00",
  "last_standard_result_score_1": "sample string 30",
  "last_standard_result_score_2": "sample string 31",
  "target_standard_result_score_1": "sample string 32",
  "target_standard_result_score_2": "sample string 33",
  "date_built": "2026-11-12T00:00:00+00:00",
  "shutdown_consequence": "sample string 35",
  "id2": 36,
  "nb_open_jobs": 37,
  "date_next_job": "2026-11-12T05:37:10.0314386+00:00",
  "date_last_job": "2026-11-12T05:37:10.0314386+00:00",
  "nb_jobs_planned": 40,
  "nb_jobs_tobeplanned": 41,
  "nb_jobs_waitingfurtheraction": 42,
  "back_office_timestamp": "2026-11-12T05:37:10.0314386+00:00",
  "modified_dateutc": "2026-11-12T05:37:10.0314386+00:00",
  "is_mobile_installation": true
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.